/// <reference types="node" />
import type { Readable } from "stream";
import { BlockData } from "univ-conv";
import { Modification } from "./core";
declare type createModifiedReadableType = (src: Readable, ...mods: Modification[]) => Promise<Readable>;
declare type createModifiedReadableStreamType = (src: ReadableStream<Uint8Array>, ...mods: Modification[]) => Promise<ReadableStream>;
export declare function initialize(): Promise<void>;
export declare const createModifiedReadable: createModifiedReadableType;
export declare const createModifiedReadableStream: createModifiedReadableStreamType;
export declare function modify(src: BlockData, ...mods: Modification[]): Promise<Uint8Array>;
export {};
//# sourceMappingURL=mods.d.ts.map