/// <reference types="node" />
import { Readable } from "stream";
import { UnivConv } from "univ-conv";
import { Modification } from "./core";
declare class ModifiedReadable extends Readable {
    private conv;
    private src;
    private iStart;
    private mods;
    constructor(conv: UnivConv, src: Readable, mods: Modification[]);
    private setup;
    _read(): void;
}
declare function createModifiedReadable(src: Readable, ...mods: Modification[]): Promise<ModifiedReadable>;
export default createModifiedReadable;
//# sourceMappingURL=mods-node.d.ts.map